#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deque
version:              0.4.4.1
visibility:           public
id:                   deque-0.4.4.1-G0wTmFcRHJ7GK8tzi7ZlpI
key:                  deque-0.4.4.1-G0wTmFcRHJ7GK8tzi7ZlpI
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/deque
synopsis:             Double-ended queues
description:
    Strict and lazy implementations of Double-Ended Queue (aka Dequeue or Deque)
    based on head-tail linked list.

category:             Data
abi:                  eda1f5779765253782687f6b47f20ccd
exposed:              True
exposed-modules:
    Deque.Lazy Deque.Lazy.Reader Deque.Lazy.State Deque.Strict
    Deque.Strict.Reader Deque.Strict.State

hidden-modules:       Deque.Lazy.Defs Deque.Prelude Deque.Strict.Defs
import-dirs:          /usr/lib/ghc-9.2.8/site-local/deque-0.4.4.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/deque-0.4.4.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-deque
hs-libraries:         HSdeque-0.4.4.1-G0wTmFcRHJ7GK8tzi7ZlpI
depends:
    base-4.16.4.0 deepseq-1.4.6.1
    hashable-1.4.4.0-BiMdM8DAZvpBwJziK8reqF mtl-2.2.2
    strict-list-0.1.7.5-EHfzTY4SLK3CSBmrT48RUX

haddock-interfaces:   /usr/share/doc/haskell-deque/html/deque.haddock
haddock-html:         /usr/share/doc/haskell-deque/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

